import { Button } from '@/components/ui/button';
import {
  Card,
  CardContent,
  CardDescription,
  CardHeader,
  CardTitle,
} from '@/components/ui/card';
import { BookOpen, MessageCircle, Share2 } from 'lucide-react';

export default function HomePage() {
  return (
    <div className='container mx-auto px-4 py-8'>
      <h1 className='text-4xl font-bold mb-8'>Welcome to Uniconnect</h1>
      <div className='grid gap-6 md:grid-cols-2 lg:grid-cols-3'>
        <Card>
          <CardHeader>
            <CardTitle>Recent Listings</CardTitle>
            <CardDescription>
              Check out the latest items for sale or exchange
            </CardDescription>
          </CardHeader>
          <CardContent>
            <ul className='list-disc pl-5'>
              <li>Introduction to Psychology Textbook</li>
              <li>TI-84 Plus Calculator</li>
              <li>RHUL Hoodie (Size M)</li>
            </ul>
            <Button className='mt-4'>View All Listings</Button>
          </CardContent>
        </Card>
        <Card>
          <CardHeader>
            <CardTitle>Active Discussions</CardTitle>
            <CardDescription>
              Join conversations with your peers
            </CardDescription>
          </CardHeader>
          <CardContent>
            <ul className='list-disc pl-5'>
              <li>Exam Preparation Tips</li>
              <li>Campus Events This Week</li>
              <li>Study Group for CS101</li>
            </ul>
            <Button className='mt-4'>Join a Discussion</Button>
          </CardContent>
        </Card>
        <Card>
          <CardHeader>
            <CardTitle>Quick Actions</CardTitle>
            <CardDescription>Get started with common tasks</CardDescription>
          </CardHeader>
          <CardContent className='flex flex-col gap-2'>
            <Button className='flex items-center gap-2'>
              <BookOpen className='h-4 w-4' />
              List an Item
            </Button>
            <Button className='flex items-center gap-2'>
              <MessageCircle className='h-4 w-4' />
              Start a Discussion
            </Button>
            <Button className='flex items-center gap-2'>
              <Share2 className='h-4 w-4' />
              Share a Resource
            </Button>
          </CardContent>
        </Card>
      </div>
    </div>
  );
}
